codebox
	form(onsubmit="{_handleSubmit}")
		.code-container
			textarea.code

		.button-container
			button Find my problem!
			
	style(scoped, type="scss").
		.code-container {
		
		}

		textarea.code {
			width: 100%;
			height: 190px;
			border-color: #b40000;
			margin-bottom: 16px;
		}
		
		.button-container {
			text-align: center;
		}
		
		button {
			background-color: #b40000;
			padding: 16px 24px;
			font-size: 24px;
			border-radius: 5px;
			color: white;
			font-weight: bold;
		}
		
	script.
		const $ = require("jquery");
		
		Object.assign(this, {
			_handleSubmit: (event) => {
				this.trigger("submit", $(".code", this.root).val());
			},
			setCode: (code) => {
				$(".code", this.root).val(code);
			}
		});