module-box
	.moduleBox
		.name {name}
		.version {version}
	
	
	script.
		this.on("update", () => {
			Object.assign(this, {
				name: opts.moduleInfo.name,
				version: opts.moduleInfo.version
			});
		});
	style(scoped, type="scss").
		.moduleBox {
			padding: 12px;
			background-color: #e4a6a6;
			margin-bottom: 6px;
			margin-left: 6px;
			font-size: 15px;
			width: 32%;
			box-sizing: border-box;
			float: left;
			box-shadow: 3px 3px 8px 0px #270000;

		}
		
		.name, .version {
			display: inline-block;
		}
		
		.name {
			font-weight: bold;
			font-size: 16px;
		}
		
		.version {
			font-size: 13px;
			
			&:before {
				content: "(";
			}
			
			&:after {
				content: ")";
			}
		}